Skip to main content
GET
/
v1
/
endpoints
/
{endpointId}
curl -X GET https://qstash.upstash.io/v1/endpoints/:endpointId \
  -H "Authorization: Bearer <token>"
{
  "endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
  "url": "https://www.upstash.com",
  "topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
}

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request

endpointId
string
required
The id of the endpoint

Response

topicId
string
required
The id of the topic this endpoint subscribes to.Either topicId or topicName must be set
topicName
string
required
The name of the topic this endpoint subscribes to.Either topicId or topicName must be set
url
string
required
The url where all requests will be sent to.
curl -X GET https://qstash.upstash.io/v1/endpoints/:endpointId \
  -H "Authorization: Bearer <token>"
{
  "endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
  "url": "https://www.upstash.com",
  "topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
}